<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Configuration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Configuration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/ConfigurationComparator.html" title="interface in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Interface Configuration" class="title">Interface Configuration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/AbstractYAMLBasedConfiguration.html" title="class in org.apache.commons.configuration2">AbstractYAMLBasedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/web/AppletConfiguration.html" title="class in org.apache.commons.configuration2.web">AppletConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/BaseConfiguration.html" title="class in org.apache.commons.configuration2">BaseConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2">CompositeConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/DatabaseConfiguration.html" title="class in org.apache.commons.configuration2">DatabaseConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/DataConfiguration.html" title="class in org.apache.commons.configuration2">DataConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html" title="class in org.apache.commons.configuration2">DynamicCombinedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/EnvironmentConfiguration.html" title="class in org.apache.commons.configuration2">EnvironmentConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/JNDIConfiguration.html" title="class in org.apache.commons.configuration2">JNDIConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/JSONConfiguration.html" title="class in org.apache.commons.configuration2">JSONConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/MapConfiguration.html" title="class in org.apache.commons.configuration2">MapConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html" title="class in org.apache.commons.configuration2">PatternSubtreeConfigurationWrapper</a>, <a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">PropertyListConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/web/ServletConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/web/ServletContextConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletContextConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/web/ServletFilterConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletFilterConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/web/ServletRequestConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletRequestConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/SubnodeConfiguration.html" title="class in org.apache.commons.configuration2">SubnodeConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/SubsetConfiguration.html" title="class in org.apache.commons.configuration2">SubsetConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/SystemConfiguration.html" title="class in org.apache.commons.configuration2">SystemConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html" title="class in org.apache.commons.configuration2">XMLPropertiesConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">XMLPropertyListConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/YAMLConfiguration.html" title="class in org.apache.commons.configuration2">YAMLConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Configuration</span>
extends <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></pre>
<div class="block"><p>The main Configuration interface.</p>
 <p>This interface allows accessing and manipulating a configuration object.
 The major part of the methods defined in this interface deals with accessing
 properties of various data types. There is a generic <code>getProperty()</code>
 method, which returns the value of the queried property in its raw data
 type. Other getter methods try to convert this raw data type into a specific
 data type. If this fails, a <code>ConversionException</code> will be thrown.</p>
 <p>For most of the property getter methods an overloaded version exists that
 allows to specify a default value, which will be returned if the queried
 property cannot be found in the configuration. The behavior of the methods
 that do not take a default value in case of a missing property is not defined
 by this interface and depends on a concrete implementation. E.g. the
 <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2"><code>AbstractConfiguration</code></a> class, which is the base class
 of most configuration implementations provided by this package, per default
 returns <b>null</b> if a property is not found, but provides the
 <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-"><code>setThrowExceptionOnMissing()</code></a>
 method, with which it can be configured to throw a <code>NoSuchElementException</code>
 exception in that case. (Note that getter methods for primitive types in
 <code>AbstractConfiguration</code> always throw an exception for missing
 properties because there is no way of overloading the return value.)</p>
 <p>With the <code>addProperty()</code> and <code>setProperty()</code> methods
 new properties can be added to a configuration or the values of properties
 can be changed. With <code>clearProperty()</code> a property can be removed.
 Other methods allow to iterate over the contained properties or to create
 a subset configuration.</p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: Configuration.java 1679755 2015-05-16 17:34:50Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Commons Configuration team</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Add a property to the configuration.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#clear--">clear</a></span>()</code>
<div class="block">Remove all properties from the configuration.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#clearProperty-java.lang.String-">clearProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Remove a property from the configuration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#getInterpolator--">getInterpolator</a></span>()</code>
<div class="block">Returns the <code>ConfigurationInterpolator</code> object used by this
 <code>Configuration</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;prefixLookups,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;defLookups)</code>
<div class="block">Creates and installs a new <code>ConfigurationInterpolator</code> for this
 <code>Configuration</code> based on the passed in arguments.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></span>(<a href="../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</code>
<div class="block">Sets the <code>ConfigurationInterpolator</code> object to be used by this
 <code>Configuration</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Set a property, this will replace any previously set values.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/Configuration.html#subset-java.lang.String-">subset</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Return a decorator Configuration containing every key from the current
 Configuration that starts with the specified prefix.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.ImmutableConfiguration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#size--">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.sync.SynchronizerSupport">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.sync.<a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="subset-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subset</h4>
<pre><a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;subset(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Return a decorator Configuration containing every key from the current
 Configuration that starts with the specified prefix. The prefix is
 removed from the keys in the subset. For example, if the configuration
 contains the following properties:

 <pre>
    prefix.number = 1
    prefix.string = Apache
    prefixed.foo = bar
    prefix = Jakarta</pre>

 the Configuration returned by <code>subset("prefix")</code> will contain
 the properties:

 <pre>
    number = 1
    string = Apache
    = Jakarta</pre>

 (The key for the value "Jakarta" is an empty string)
 <p>
 Since the subset is a decorator and not a modified copy of the initial
 Configuration, any change made to the subset is available to the
 Configuration, and reciprocally.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prefix</code> - The prefix used to select the properties.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a subset configuration</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/configuration2/SubsetConfiguration.html" title="class in org.apache.commons.configuration2"><code>SubsetConfiguration</code></a></dd>
</dl>
</li>
</ul>
<a name="addProperty-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addProperty</h4>
<pre>void&nbsp;addProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Add a property to the configuration. If it already exists then the value
 stated here will be added to the configuration entry. For example, if
 the property:

 <pre>resource.loader = file</pre>

 is already present in the configuration and you call

 <pre>addProperty("resource.loader", "classpath")</pre>

 Then you will end up with a List like the following:

 <pre>["file", "classpath"]</pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - The key to add the property to.</dd>
<dd><code>value</code> - The value to add.</dd>
</dl>
</li>
</ul>
<a name="setProperty-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProperty</h4>
<pre>void&nbsp;setProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Set a property, this will replace any previously set values. Set values
 is implicitly a call to clearProperty(key), addProperty(key, value).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - The key of the property to change</dd>
<dd><code>value</code> - The new value</dd>
</dl>
</li>
</ul>
<a name="clearProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearProperty</h4>
<pre>void&nbsp;clearProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Remove a property from the configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key to remove along with corresponding value.</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear()</pre>
<div class="block">Remove all properties from the configuration.</div>
</li>
</ul>
<a name="getInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterpolator</h4>
<pre><a href="../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;getInterpolator()</pre>
<div class="block">Returns the <code>ConfigurationInterpolator</code> object used by this
 <code>Configuration</code>. This object is responsible for variable
 substitution.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ConfigurationInterpolator</code> (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterpolator</h4>
<pre>void&nbsp;setInterpolator(<a href="../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</pre>
<div class="block">Sets the <code>ConfigurationInterpolator</code> object to be used by this
 <code>Configuration</code>. This object is invoked for each access of a string
 property in order to substitute variables which may be contained. The
 argument can be <b>null</b> to disable interpolation at all.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ci</code> - the new <code>ConfigurationInterpolator</code></dd>
</dl>
</li>
</ul>
<a name="installInterpolator-java.util.Map-java.util.Collection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>installInterpolator</h4>
<pre>void&nbsp;installInterpolator(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;prefixLookups,
                         <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;defLookups)</pre>
<div class="block">Creates and installs a new <code>ConfigurationInterpolator</code> for this
 <code>Configuration</code> based on the passed in arguments. This method
 creates a default <code>ConfigurationInterpolator</code> instance and
 initializes it with the passed in <code>Lookup</code> objects. It also adds a
 special default <code>Lookup</code> object that tries to resolve variables by
 matching them with properties contained in this <code>Configuration</code>.
 This is also the main difference to the
 <a href="../../../../org/apache/commons/configuration2/Configuration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>setInterpolator(ConfigurationInterpolator)</code></a> method
 which sets the passed in object as is without adding this special lookup.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prefixLookups</code> - the map with <code>Lookup</code> objects associated with
        specific prefixes (can be <b>null</b>)</dd>
<dd><code>defLookups</code> - a collection with default <code>Lookup</code> objects (can
        be <b>null</b>)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/ConfigurationComparator.html" title="interface in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
